supported version of Xcode

swdevet·2020년 11월 30일
0

과거 swift3.2 xcode9.1 에서 배포한 앱이 최신 디바이스 iOS 13.3에서 죽는 이슈가 발생했을때 swift버전을 올리지 않고 급하게 처리한 경험입니다.

아래와 같은 에러 메세지를 만남..

This iPhone XS is running iOS 13.3 (17C54), which may not be supported by this version of Xcode.

XX iphone doesn’t support any of XXXX.app’s architectures. You can add XX iphone’s arm64e architecture to XXXX.app’s Architectures build setting.


그 당시 최신인 iOS 13.3에서 돌리려면 xcode10.0 이상으로 업그레이드가 필요했기 때문에, swift3.2를 사용할 수 있는 최대 버전 xcode10.1 으로 다운 했습니다.
  1. 설치된 xcode 삭제

    1. Finder 열기
    2. '응용프로그램' 에서 Xcode 삭제
    3. '이동' 메뉴에서 '폴더로 이동' 선택
    4. ~/라이브러리/developer 이동
    5. 'xcode' 폴더 삭제 후 재시작
  2. xcode 하위버전 다운로드


xcode10.1은 iOS12.1(16B91)까지 지원, 최신버전 13.3까지 테스트 할 수 있도록 셋팅이 필요합니다.

  1. iOS버전 다운로드
  2. Pasted in /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport
  3. 'xcode' 재시작

발생 이슈 처리

Could not locate device support files. This iPhone 7 Plus (Model 1661, 1784, 1785, 1786) is running iOS 11.3 (15E216), which may not be supported by this version of Xcode.

solution

dyld_shared_cache_extract_dylibs failed

solution

profile
안녕하세요! 에트입니다.

0개의 댓글